<div [formGroup]="form">
  <nz-form-control>
    <nz-input-group>
      <h4>{{ "Common.Type" | translate }}</h4>
      <nz-select formControlName="constructionTypeId" style="width: 100%" [required]>
        <nz-option *ngFor="let construction of constructions"
          nzLabel="{{ 'Economy.' + construction.symbol | translate }}" [nzValue]="construction.id"
          [nzSuffixIcon]="construction.value"></nz-option>
      </nz-select>

      <h4 style="margin-top: 15px">{{ "Economy.Market.ChooseQuality" | translate }}:</h4>
      <nz-radio-group formControlName="quality">
        <label nz-radio nzValue="1">1</label>
        <label nz-radio nzValue="2">2</label>
        <label nz-radio nzValue="3">3</label>
      </nz-radio-group>

      <div *ngIf="form.get('quality').value">
        <h4 style="margin-top: 15px">{{ "Common.Requirements" | translate }}:</h4>
        <p [innerHtml]="getRequirements()"></p>
      </div>

      <h4 style="margin-top: 15px">
        {{ "Politics.Countries.ChooseOrgWhichResource" | translate }}:
      </h4>
      <nz-select formControlName="nationalOrganizationId" style="width: 100%" [required]>
        <nz-option *ngFor="let organization of organizations" [nzLabel]="organization.name" [nzValue]="organization.id">
        </nz-option>
      </nz-select>
      <h4 style="margin-top: 15px">
        {{ "Politics.Countries.SelectRegionWhereConstruct" | translate }}
      </h4>
    </nz-input-group>
  </nz-form-control>
</div>

  <div nz-row nzJustify="space-around" nzGutter="12">
    <div nz-col nzXs="24" nzSm="24" nzXXl="12">
      <app-map-selector mapHeight="400px" circleRadius="2" (regionSelected)="regionSelected($event)" *ngIf="currentCountry" [countryId]="currentCountry.id"
        [showRegionDetails]="true">
      </app-map-selector>
    </div>
  </div>